apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Arfrever Frehtes Taifersar Arahesis <arfrever....@gmail.com>
Subject [APR] Strange output of './buildconf' with libtool-2.2
Date Sun, 23 Mar 2008 19:28:27 GMT
When libtool-2.2 is installed, then this is the output of './buildconf':

buildconf: checking installation...
buildconf: python version 2.5.1 (ok)
buildconf: autoconf version 2.61 (ok)
buildconf: libtool version 2.2 (ok)
Copying libtool helper files ...
./buildconf: line 56: alias: -g: invalid option
alias: usage: alias [-p] [name[=value] ... ]
./buildconf: eval: line 282: syntax error near unexpected token `&&'
./buildconf: eval: line 282: `        && { func_serial_max_result="$2"; break; }'
buildconf: Using libtool.m4 at /usr/share/aclocal/libtool.m4.
Creating include/arch/unix/apr_private.h.in ...
configure.in:182: warning: LTOPTIONS_VERSION is m4_require'd but not m4_defun'd
build/libtool.m4:67: LT_INIT is expanded from...
build/libtool.m4:102: AC_PROG_LIBTOOL is expanded from...
configure.in:182: the top level
configure.in:182: warning: LTSUGAR_VERSION is m4_require'd but not m4_defun'd
configure.in:182: warning: LTVERSION_VERSION is m4_require'd but not m4_defun'd
configure.in:182: warning: LTOBSOLETE_VERSION is m4_require'd but not m4_defun'd
Creating configure ...
configure.in:182: warning: LTOPTIONS_VERSION is m4_require'd but not m4_defun'd
build/libtool.m4:67: LT_INIT is expanded from...
build/libtool.m4:102: AC_PROG_LIBTOOL is expanded from...
configure.in:182: the top level
configure.in:182: warning: LTSUGAR_VERSION is m4_require'd but not m4_defun'd
configure.in:182: warning: LTVERSION_VERSION is m4_require'd but not m4_defun'd
configure.in:182: warning: LTOBSOLETE_VERSION is m4_require'd but not m4_defun'd
configure:9556: error: possibly undefined macro: m4_ifval
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
configure:11760: error: possibly undefined macro: _LT_SET_OPTIONS
configure:11760: error: possibly undefined macro: LT_INIT
Generating 'make' outputs ...
rebuilding rpm spec file


Could anybody update buildconf to work correctly with libtool-2.2?

-- 
Arfrever Frehtes Taifersar Arahesis

Mime
View raw message